using System;

internal sealed class Delegate436 : MulticastDelegate
{
	public extern TimeSpan Invoke(double double_0);

	public static TimeSpan smethod_0(double double_0, Delegate436 delegate436_1)
	{
		return delegate436_1(double_0);
	}

	public extern Delegate436(object object_0, IntPtr intptr_0);

	static Delegate436()
	{
		Class10.smethod_13(typeof(Delegate436).TypeHandle);
	}

	internal static Delegate436 delegate436_0;
}
